<!DOCTYPE html>
<html lang="en">
<meta http-equiv="content-type" content="text/html;charset=UTF-8" />

<head>
<meta charset="utf-8" />
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width,initial-scale=1" />
<title>TBC</title>

<link th:href="@{/vendor/chartist/css/chartist.min.css}"
	rel="stylesheet" type="text/css" />
<link th:href="@{/vendor/owl-carousel/owl.carousel.css}"
	rel="stylesheet" type="text/css" />

<link
	th:href="@{/vendor/bootstrap-select/dist/css/bootstrap-select.min.css}"
	rel="stylesheet" type="text/css" />
<link th:href="@{/css/style.css}" rel="stylesheet" type="text/css" />
<link rel="stylesheet"
	href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css" />
</head>

<body>

	<div id="preloader">
		<div class="sk-three-bounce">
			<div class="sk-child sk-bounce1"></div>
			<div class="sk-child sk-bounce2"></div>
			<div class="sk-child sk-bounce3"></div>
		</div>
	</div>

	<div id="main-wrapper">
		<div class="nav-header">
			<a href="/" class="brand-logo"> <img class="brand-title"
				src="/images/logo-white.png" alt="" />
			</a>

			<div class="nav-control">
				<div class="hamburger">
					<span class="line"></span><span class="line"></span><span
						class="line"></span>
				</div>
			</div>
		</div>

		<div class="header">
			<div class="header-content">
				<nav class="navbar navbar-expand">
					<div class="collapse navbar-collapse justify-content-between">
						<div class="header-left"></div>
						<ul class="navbar-nav header-right main-notification">
							<li class="nav-item dropdown notification_dropdown"><a
								class="nav-link bell dz-theme-mode" href="#"> <i
									id="icon-light" class="fas fa-sun"></i> <i id="icon-dark"
									class="fas fa-moon"></i>
							</a></li>
							<li class="nav-item dropdown notification_dropdown"><a
								class="nav-link bell dz-fullscreen" href="#"> <svg
										id="icon-full" viewBox="0 0 24 24" width="20" height="20"
										stroke="currentColor" stroke-width="2" fill="none"
										stroke-linecap="round" stroke-linejoin="round"
										class="css-i6dzq1">
										<path
											d="M8 3H5a2 2 0 0 0-2 2v3m18 0V5a2 2 0 0 0-2-2h-3m0 18h3a2 2 0 0 0 2-2v-3M3 16v3a2 2 0 0 0 2 2h3"
											style="stroke-dasharray: 37, 57; stroke-dashoffset: 0"></path>
									</svg> <svg id="icon-minimize" width="20" height="20"
										viewBox="0 0 24 24" fill="none" stroke="currentColor"
										stroke-width="2" stroke-linecap="round"
										stroke-linejoin="round" class="feather feather-minimize">
										<path
											d="M8 3v3a2 2 0 0 1-2 2H3m18 0h-3a2 2 0 0 1-2-2V3m0 18v-3a2 2 0 0 1 2-2h3M3 16h3a2 2 0 0 1 2 2v3"
											style="stroke-dasharray: 37, 57; stroke-dashoffset: 0"></path>
									</svg>
							</a></li>

							<li class="nav-item dropdown header-profile"><a
								class="nav-link" href="#" role="button"
								data-bs-toggle="dropdown"> <img
									th:src="@{${'/images/kycdocuments/'+user.profileName}}"
									width="20" alt="" />
									<div class="header-info" th:object="${user}">
										<span th:text="${user.name}"></span> <small> </small>
									</div>
							</a>
								<div class="dropdown-menu dropdown-menu-end">
									<a href="/profile" class="dropdown-item ai-icon"> <svg
											id="icon-user1" xmlns="http://www.w3.org/2000/svg"
											class="text-primary" width="18" height="18"
											viewBox="0 0 24 24" fill="none" stroke="currentColor"
											stroke-width="2" stroke-linecap="round"
											stroke-linejoin="round">
											<path d="M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2"></path>
											<circle cx="12" cy="7" r="4"></circle>
										</svg> <span class="ms-2">Profile </span>
									</a> <a href="/logout" class="dropdown-item ai-icon"> <svg
											id="icon-logout" xmlns="http://www.w3.org/2000/svg"
											class="text-danger" width="18" height="18"
											viewBox="0 0 24 24" fill="none" stroke="currentColor"
											stroke-width="2" stroke-linecap="round"
											stroke-linejoin="round">
											<path d="M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4"></path>
											<polyline points="16 17 21 12 16 7"></polyline>
											<line x1="21" y1="12" x2="9" y2="12"></line>
										</svg> <span class="ms-2">Logout </span>
									</a>
								</div></li>
						</ul>
					</div>
				</nav>
			</div>
		</div>
		<div class="deznav">
			<div class="deznav-scroll">
				<div class="main-profile">
					<div class="image-bx">
						<img th:src="@{${'/images/kycdocuments/'+user.profileName}}"
							alt="" />
					</div>
					<h5 class="name">
						<span class="font-w400">Hello,<span class="font-w400"
							th:text="${user.name}"></span></span>
					</h5>
					<p class="email" th:text="${user.mail}"></p>
				</div>
				<ul class="metismenu" id="menu">
					<li class="nav-label first">Main Menu</li>
					<li><a href="/" aria-expanded="false"> <i
							class="flaticon-144-layout"></i> <span class="nav-text">Dashboard</span>
					</a></li>
					<li><a href="/createPost" aria-expanded="false"> <i
							class="flaticon-144-layout"></i> <span class="nav-text">Create
								Post</span>
					</a></li>
					<li><a href="/myWallets" aria-expanded="false"> <i
							class="bi bi-wallet"></i> <span class="nav-text">Packages</span>
					</a></li>
					<li><a href="/referralTransactions" aria-expanded="false">
							<i class="bi bi-person-plus"></i> <span class="nav-text">Referal
								Earnings</span>
					</a></li>
					<li><a href="/manualBuy" aria-expanded="false">
							<i class="bi bi-person-plus"></i> <span class="nav-text">Manual
								Buy</span>
					</a></li>
					<li><a href="/findFriends" aria-expanded="false">
							<i class="bi bi-person-plus"></i> <span class="nav-text">Find
								Freinds</span>
					</a></li>
					<li><a href="/transaction" aria-expanded="false"> <i
							class="bi bi-arrow-left-right"></i> <span class="nav-text">Tranasactions</span>
					</a></li>
					<li th:if="${user.roles=='ROLE_ADMIN'}" id="admin-option"><a
						href="userControl" aria-expanded="false"> <i
							class="bi bi-people"></i> <span class="nav-text">User
								Control</span>
					</a></li>
					<li th:if="${user.roles=='ROLE_ADMIN'}" id="admin-option"><a
						href="/packagePurchased" aria-expanded="false"> <i
							class="bi bi-box"></i> <span class="nav-text">Package
								Purchased</span>
					</a></li>
					<li th:if="${user.roles=='ROLE_ADMIN'}" id="admin-option"><a
						href="/kycVerification" aria-expanded="false"> <i
							class="bi bi-shield-check"></i> <span class="nav-text">KYC
								Verification</span>
					</a></li>
				</ul>
			</div>
		</div>


		<div class="content-body">
			<div class="container-fluid">
				<div class="form-head mb-sm-5 mb-3 d-flex flex-wrap align-items-center">
					<h2 class="font-w600 title mb-2 me-auto">My Dashboard</h2>
				</div>
				<div th:if="${param.lessPrice}">
				<div class="alert alert-danger">Enter amount atleast worth 1</div>
				</div>
				<div class="row">
					<div class="col-xl-12">
						<div class="card">
							<div class="card-header d-sm-flex d-block pb-0 border-0">
								<div>
									<h4 class="fs-20 text-black">Quick Trade</h4>
									<p class="mb-0 fs-12">
										Get your first TechBit Coin with below interface
									</p>
								</div>
							</div>
							<div class="card-body">
								<div class="basic-form">
									<form class="form-wrapper" th:action="@{/buy2}" method="post" th:object="${user}">
										<div class="form-group">
											<div class="input-group input-group-lg">
												<div class="input-group-prepend">
													<span class="input-group-text">Amount TBC</span>
												</div>
												<input type="text" class="form-control"  id="amountTbc"th:field="*{amount}" onkeyup="myFunction()" />
											</div>
										</div>
										<div class="form-group">
											<div class="input-group input-group-lg">
												<div class="input-group-prepend">
													<span class="input-group-text">Price TBC</span>
												</div>
												<input type="text" class="form-control" id="priceTbc" disabled/>
											</div>
										</div>
										<div class="row mt-4 align-items-center">
											<div class="col-lg-6">
												<div>
													<p class="mb-0 fs-14">
														With this interface you would be able to get your
														TBC coin within few steps inside your virtual
														wallet
													</p>
												</div>
											</div>
											<div class="col-lg-6">
												<div class="d-flex justify-content-end">
]
													<button type="submit" href="javascript:void(0);"
														class="btn btn-gold-gradient text-white text-nowrap"
														>
														BUY
														<svg class="ms-3 scale3" width="16" height="16"
															viewBox="0 0 21 21" fill="none"
															xmlns="http://www.w3.org/2000/svg">
															<path
																d="M16.9638 11.5104L16.9721 14.9391L3.78954 1.7565C3.22815 1.19511 2.31799 1.19511 1.75661 1.7565C1.19522 2.31789 1.19522 3.22805 1.75661 3.78943L14.9392 16.972L11.5105 16.9637L11.5105 16.9637C10.7166 16.9619 10.0715 17.6039 10.0696 18.3978C10.0677 19.1919 10.7099 19.8369 11.5036 19.8388L11.5049 19.3388L11.5036 19.8388L18.3976 19.8554L18.4146 19.8555L18.4159 19.8555C18.418 19.8555 18.42 19.8555 18.422 19.8555C19.2131 19.8533 19.8528 19.2114 19.8555 18.4231C19.8556 18.4196 19.8556 18.4158 19.8556 18.4117L19.8389 11.5035L19.8389 11.5035C19.8369 10.7097 19.1919 10.0676 18.3979 10.0695C17.604 10.0713 16.9619 10.7164 16.9638 11.5103L16.9638 11.5104Z"
																fill="white" stroke="white"></path>
														</svg>
													</button>
												
												</div>
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="row">
					
						
							
							
							<div class="col-sm-6">
								<div class="card-bx stacked card">
									<img src="/images/card/card3.jpg" alt="" />
									<div class="card-info">
										<p class="mb-1 text-white fs-14">TBC Stacking Earning</p>
										<div class="d-flex justify-content-between">
											<h2 class="num-text text-white mb-5 font-w600" th:text="'TBC '+${user.tbcBalance}">
												TBC 1,708.72
											</h2>
											<svg width="55" height="34" viewBox="0 0 55 34" fill="none"
												xmlns="http://www.w3.org/2000/svg">
												<circle cx="38.0091" cy="16.7788" r="16.7788" fill="white"
													fill-opacity="0.67" />
												<circle cx="17.4636" cy="16.7788" r="16.7788" fill="white"
													fill-opacity="0.67" />
											</svg>
										</div>
										<div class="d-flex">
											<div class="me-4 text-white">
												<p class="fs-12 mb-1 op6">VALID THRU</p>
												<span>Lifetime</span>
											</div>
											<div class="text-white">
												<p class="fs-12 mb-1 op6">CARD HOLDER</p>
												<span>User Name</span>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="col-sm-6">
								<div class="card-bx stacked card">
									<img src="/images/card/card4.jpg" alt="" />
									<div class="card-info">
										<p class="mb-1 text-white fs-14">
											TBC Stacking Earning in $
										</p>
										<div class="d-flex justify-content-between">
											<h2 class="num-text text-white mb-5 font-w600"th:text="'$ '+${usd}">
												$54,140.91
											</h2>
											<svg width="55" height="34" viewBox="0 0 55 34" fill="none"
												xmlns="http://www.w3.org/2000/svg">
												<circle cx="38.0091" cy="16.7788" r="16.7788" fill="white"
													fill-opacity="0.67" />
												<circle cx="17.4636" cy="16.7788" r="16.7788" fill="white"
													fill-opacity="0.67" />
											</svg>
										</div>
										<div class="d-flex">
											<div class="me-4 text-white">
												<p class="fs-12 mb-1 op6">VALID THRU</p>
												<span>Lifetime</span>
											</div>
											<div class="text-white">
												<p class="fs-12 mb-1 op6">CARD HOLDER</p>
												<span>User Name</span>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="footer">
			<div class="copyright">
				<p>
					Copyright © Designed &amp; Developed by
					<a href="#" target="_blank">TBC</a> 2022
				</p>
			</div>
		</div>
	</div>
	<script th:src="@{/vendor/global/global.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/bootstrap-select/dist/js/bootstrap-select.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/chart.js/Chart.bundle.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/peity/jquery.peity.min.js}" type="text/javascript"></script>
	<script th:src="@{/vendor/apexchart/apexchart.js}" type="text/javascript"></script>
	<script src="/vendor/owl-carousel/owl.carousel.js" type="text/javascript"></script>
	<script src="/js/dashboard/dashboard-1.js" type="text/javascript"></script>
	<script th:src="@{/js/custom.js}" type="text/javascript"></script>
	<script th:src="@{/js/deznav-init.js}" type="text/javascript"></script>
	<script th:src="@{/js/demo.js}" type="text/javascript"></script>
	<script th:src="@{/js/styleSwitcher.js}" type="text/javascript"></script>
		<script th:src="@{/js/index.js}" type="text/javascript"></script>
	
	<script>
		$(document).ready(function () {
			$(".theme-colors .btn").click(function () {
				$(".theme-colors .btn").removeClass("active");
				$(this).addClass("active");
			});
		});
	</script>
</body>

</html>